---
icon: material/currency-usd
description: See how much it costs to run the server and how to donate.
---

# Costs and Donations

Running Minecraft servers has some costs, and I would really appreciate your help in keeping the server up and running. Below is a cost breakdown.

## Costs

| What                        | Period  | How much                                |
|-----------------------------|---------|-----------------------------------------|
| Electricity                 | Monthly | 24c/KWh * ~100W continuous = ~$17.53    |
| Domain (midnightvalley.net) | Yearly  | $15.16 ($1.26/M)                        |
| Internet                    | Monthly | $37.50 (Let's say $9.40 for the server) |
| Subnet's Time               | N/A     | Coffee :coffee:                         |
| **TOTAL**                       | **Monthly** | **~29.19 + Coffee**             |

## Donations

I am really anxious about even asking for, let alone accepting, donations of any kind. However there are costs associated with doing this. Any little bit helps.
I am not ready to accept donations yet, not until I feel like the servers are all up and running how they should. So for now, I just ask for your support.

Honestly, I am not even sure what platform I could use for this... Paypal? Patreon? Other... If you have suggestions, let me know.

There will be no rewards for donations, in-game or otherwise. Donations will also not affect your status on the server including bans, kicks or whitelist. Simply my gratitude and thanks. It really does mean a lot to me. :slight_smile:

\- **Subnet** :material-account-network:

## Transaction History

History of purchases and donations.

??? tip "November 2023"

    Transactions for the month of November 2023

    | What         | Date         | Amount                            |
    |--------------|--------------|-----------------------------------|
    | Domain       | 11/08/2023   | <p style="color:red;">-$12.16</p> |
    | General Cost | N/A          | <p style="color:red;">-$29.19     |
    | **TOTAL**    | **November** | <p style="color:red;">-$41.35</p> |

??? success "October 2023"
    
    Transactions for the moth of October 2023

    | What         | Date         | Amount                            |
    |--------------|--------------|-----------------------------------|
    | General Cost | N/A          | <p style="color:red;">-$29.19     |
    | **TOTAL**    | **November** | <p style="color:red;">-$29.19</p> |